/// <reference types="node" />
import { LockfileManifest, PackageSource, SnowpackConfig } from '../types';
export declare class PackageSourceRemote implements PackageSource {
    config: SnowpackConfig;
    lockfile: LockfileManifest;
    constructor(config: SnowpackConfig);
    prepare(): Promise<void>;
    prepareSingleFile(): Promise<void>;
    modifyBuildInstallOptions(installOptions: any): Promise<any>;
    load(spec: string): Promise<{
        contents: string;
        imports: never[];
    } | {
        contents: Buffer;
        imports: never[];
    }>;
    resolvePackageImport(spec: string): Promise<string>;
    static clearCache(): Promise<void>;
    /** @deprecated */
    clearCache(): Promise<void>;
    getCacheFolder(): string;
}
